#include <iostream>
using namespace std;

int main() {
    string a,b,c;
    cin>>a>>b>>c;
    if(a>b && a>c)
    {
        cout<<a;
        if(b>c)
            cout<<b<<c;
        else
            cout<<c<<b;
        
    }    
    if(b>a && b>c)
    {
        cout<<b;
        if(a>c)
            cout<<a<<c;
        else
            cout<<c<<a;
        
    }
    if(c>b && c>a)
    {
        cout<<c;
        if(a>b)
            cout<<a<<b;
        else
            cout<<b<<a;
        
    }
    if(a==b && a==c)
    cout<<a<<b<<c;
	return 0;
}